#ifndef __USART_H
#define __USART_H

#include "ch32v30x.h"

#define USART_MAX_LEN     9

//2~8 ݽṹ
typedef struct
{
    USART_TypeDef        *USARTn;                //= USART2
    uint32_t             RCC_APB1Periph_USARTn;  //= RCC_APB1Periph_USART2

    uint32_t             RCC_APB2Periph_GPIOTx;  //= RCC_APB2Periph_GPIOA
    GPIO_TypeDef         *GPIO_Tx;               //= GPIOA
    uint16_t             GPIO_Pin_Tx;            //= GPIO_Pin_2
    uint32_t             RCC_APB2Periph_GPIORx;  //= RCC APB2Periph GPIOA;
    GPIO_TypeDef         *GPIO_Rx;               //= GPIOA
    uint16_t             GPIO_Pin_Rx;            //= GPIO_Pin_3

    uint32_t             RCC_AHBPeriph;          //= RCC_AHBPeriph_DMA1;
    DMA_Channel_TypeDef  *DMA_Tx;                //= DMA1_Channe17;
    uint32_t             DMA_FLAG_Tx;            //= DMA1_FLAG_TC7;
    DMA_Channel_TypeDef  *DMA_Rx;                //= DMA1_Channe16;
    uint32_t             DMA_FLAG_Rx;            //= DMA1_FLAG_TC6;

    uint8_t              Enable;                 //Ƿ
    uint8_t              slaveAddr;              //ڵַ
    uint32_t             buad;                   //
    uint16_t             FrameT;                 //ڼʱ
    uint16_t             FrameToV;               //3.5Tֵ
    uint8_t              stauts;                 //ǰ״̬
    uint16_t             Count;                  //ǰDMAݻ
    uint8_t              Buf[USART_MAX_LEN];     //DMA
}typSerial2to8;



void USARTx_CFG(void);
void DMA_INIT(void);
void USART_DMA_Init(void);

#endif
